Bug 119284 - Automatic font color set only after editing
Summary: Automatic font color set only after editing
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.2 all versions
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL: http://www.pctipp.ch/tipps-tricks/kum...
Whiteboard: target:6.2.0 target:6.1.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-08-15 09:07 UTC by Heiko Tietze
Modified: 2018-08-28 13:51 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2018-08-15 09:07:03 UTC
For example in Impress Insert > Media > Photo album has the option [x] Add caption to each slide. This puts a shape on top of each image filled in black and with 20% transparency. The user is supposed to enter the title here. However, the font color is black unless some text has been entered so it's not obvious that input is taken.

The issue is relevant on shapes in general.
Comment 1 Xisco Faulí 2018-08-15 18:57:54 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=ab5c427784fb72d52042b8122ffc5a0fd7108c6b

author	Caolán McNamara <caolanm@redhat.com>	2016-02-02 11:50:51 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2016-02-02 11:51:35 +0000
commit	ab5c427784fb72d52042b8122ffc5a0fd7108c6b (patch)
tree	59b878f9281b5928d7913878ee73e19378e81667
parent	05642b446c39c1551d2d703be18158c7ae0f0c36 (diff)
Resolves: tdf#97375 use Invalidate in all modes

Bisected with: bibisect-linux-64-5.2
 
Adding Cc: to Caolán McNamara

Before this commit, there was a white background behind the text while editing...
Comment 2 Caolán McNamara 2018-08-16 11:06:31 UTC
I have a solution for this
Comment 3 Commit Notification 2018-08-16 13:01:31 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3ec86ad77071af577f37a83a0b1d0389b2204716

tdf#119284 bg for automatic not set while editing

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2018-08-16 13:02:05 UTC
6-1 backport in gerrit
Comment 5 Xisco Faulí 2018-08-17 07:13:01 UTC
Verified in

Version: 6.2.0.0.alpha0+
Build ID: da7040510d5be27ad7b90ffb0c962535f3375358
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded

@Caolán, Thanks for fixing this!!
Comment 6 Commit Notification 2018-08-28 13:51:57 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0655121bebd976a0c651b3c4f6f85e3bf76c89d6&h=libreoffice-6-1

tdf#119284 bg for automatic not set while editing

It will be available in 6.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.